Name: x11-xtrans-devel
Summary:  Abstract network code for X
Version: 1.2.1
Release: %mkrel 1
Group: Development/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.bz2

Conflicts: libxorg-x11-devel < 7.0

%description
Abstract network code for X

%prep
%setup -q -n xtrans-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%pre 
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files
%defattr(-,root,root)
%{_libdir}/pkgconfig/xtrans.pc
%{_datadir}/aclocal/xtrans.m4
%{_includedir}/X11/Xtrans/Xtransint.h
%{_includedir}/X11/Xtrans/Xtrans.h
%{_includedir}/X11/Xtrans/Xtrans.c
%{_includedir}/X11/Xtrans/Xtransdnet.c
%{_includedir}/X11/Xtrans/Xtranslcl.c
%{_includedir}/X11/Xtrans/Xtransos2.c
%{_includedir}/X11/Xtrans/Xtranssock.c
%{_includedir}/X11/Xtrans/Xtranstli.c
%{_includedir}/X11/Xtrans/Xtransutil.c
%{_includedir}/X11/Xtrans/transport.c


%changelog
* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.1-1mdv2009.0
+ Revision: 236559
- Update to version 1.2.1

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2-1mdv2009.0
+ Revision: 206235
- Update to upstream release version 1.2.

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1-1mdv2009.0
+ Revision: 192900
- Update to version 1.1.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.4-1mdv2008.1
+ Revision: 98583
- new upstream version: 1.0.4 (typo fix for 1.0.3)
- minor spec cleanup


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116455
- new upstream release: 1.0.3

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 38208
- new upstream release (1.0.1);
  * Check the setuid() return value
- rebuild to fix cooker uploading
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

